## netplan.io 1.1.2

=== Makefile ===
.PHONY: clean default check linting pre-coverage
VER = $(shell meson introspect _build/ --projectinfo | jq -r '.version' && rm -rf _build)

DESTDIR ?= ../tmproot

default: _build
	meson compile -C _build --verbose

_build:
	meson setup _build --prefix=/usr

_build-cov:
	meson setup _build-cov --prefix=/usr -Db_coverage=true

clean:
	rm -f netplan_cli/_features.py src/_features.h src/_features.h.gch
	rm -f generate doc/*.html doc/*.[1-9]
	rm -f *.o *.so*
	rm -f netplan-dbus dbus/*.service
	rm -f *.gcda *.gcno generate.info
	rm -f tests/ctests/*.gcda tests/ctests/*.gcno
	rm -rf test-coverage .coverage
	rm -f .coverage.* coverage.xml
	find . | grep -E "(__pycache__|\.pyc)" | xargs rm -rf
	rm -rf build
	rm -rf _build
	rm -rf _build-cov
	rm -rf _leakcheckbuild
	rm -rf _cleanbuild
	rm -rf tmproot
	rm -f python-cffi/netplan/_netplan_cffi.*
	rm -f tools/keyfile_to_yaml

dist: clean _build
	tar --exclude="_build" --exclude=".git" --exclude="debian" --exclude=".vscode" -cvJf ../netplan-$(VER).tar.xz .
	ln -sf netplan-$(VER).tar.xz ../netplan.io_$(VER).orig.tar.xz  # Debian .orig symlink

check: default
	meson test -C _build --verbose

linting: _build
	meson test -C _build --verbose linting
	meson test -C _build --verbose codestyle

pre-coverage: _build-cov
	meson compile -C _build-cov --verbose

check-coverage: pre-coverage
	meson test -C _build-cov --verbose

install: default
	meson install -C _build --destdir $(DESTDIR)

=== meson_options.txt ===
option('testing', type: 'boolean', value: true)
option('unit_testing', type: 'boolean', value: true)

=== doc/.sphinx/requirements.txt ===
breathe
furo
linkify-it-py
lxd-sphinx-extensions
myst-parser
pyenchant
pyspelling
sphinx
sphinx-autobuild
sphinx-copybutton
sphinx-design
sphinx-notfound-page
sphinx-reredirects
sphinx-tabs
sphinxcontrib-jquery
sphinxext-opengraph
watchfiles

=== debian/changelog ===
netplan.io (1.1.2-8) unstable; urgency=medium

  * d/t/cloud-init.sh: Adopt for actually generated files instead of dummies
  * d/control: Avoid test-dependency on dbus-x11 (Closes: #1117099)
    - d/p/0009-test-dbus-avoid-dependency-on-dbus-launch-Closes-111.patch

 -- Lukas Märdian <slyon@debian.org>  Wed, 08 Oct 2025 12:48:31 +0200

netplan.io (1.1.2-7) unstable; urgency=medium

  [ Wesley Hershberger ]
  * d/p/lp2083029-fix-try.patch: Fix "netplan try" revert (LP: #2083029)

  [ Lukas Märdian ]
  * d/p/lp2083029-fix-try.patch: Improve DEP-3 headers & move to end of series.

 -- Lukas Märdian <slyon@debian.org>  Wed, 16 Apr 2025 13:32:34 +0200

netplan.io (1.1.2-6) unstable; urgency=medium

  * Declare compliance with Standards-Version 4.7.2 (no changes needed).
  * d/patches/0005-*: Fix DEP-3 patch headers.
    - d/p/0005-tests-ethernets-Avoid-test-failure-when-systemd-reso.patch

 -- Lukas Märdian <slyon@debian.org>  Mon, 14 Apr 2025 12:31:03 +0200

netplan.io (1.1.2-5) unstable; urgency=medium

  * d/control: Suggest systemd-resolved for enhanced 'netplan status'
  * d/t/control: Add dpkg-dev test-dep for 'dpkg-vendor' checks.
  * d/t/control,prep-testbed: Avoid systemd-resolved test-dependency.
  * Avoid failure in ethernets.py test without systemd-resolved
    - d/p/0005-tests-ethernets-Avoid-test-failure-when-systemd-reso.patch
  * Avoid flaky test failures on riscv64.
    - d/p/0006-tests-regressions-Give-more-time-for-slow-architectu.patch
  * Avoid race condition with veth MAC addresses. (Closes: #1100907)
    - d/p/0007-tests-integration-Avoid-race-condition-with-veth-MAC.patch

 -- Lukas Märdian <slyon@debian.org>  Thu, 10 Apr 2025 11:26:06 +0200

netplan.io (1.1.2-4) unstable; urgency=medium

  * Revert: Do not execute generator during daemon-reload (Closes: #1100418)
    - d/p/lp2090848-0005-generator-Do-not-re-execute-during-daemon-reload.patch

 -- Lukas Märdian <slyon@debian.org>  Thu, 13 Mar 2025 21:26:44 +0100

netplan.io (1.1.2-3) unstable; urgency=medium

  * d/tests: Fix 00test.yaml permissions warnings.
  * d/p/python-limited-stable-api.patch: Gbp refresh.
  * Do not re-execute generator during daemon-reload (LP: 2090848)
    - d/p/lp2090848-0005-generator-Do-not-re-execute-during-daemon-reload.patch

 -- Lukas Märdian <slyon@debian.org>  Mon, 03 Mar 2025 11:14:28 +0100

netplan.io (1.1.2-2) unstable; urgency=medium

  * d/t/control: Avoid flaky 'wifi' DEP8 test, instead SKIP if
    conditions are not met
  * d/t/control: Add test dependency on dhcpcd-base, replacing ISC dhclient
  * d/patches: improve WiFi testing
    + 0002-tests-wifi-use-dhcpcd-istead-of-deprecated-ISC-dhcli.patch
    + 0003-tests-add-integration-test-for-wifi-psk-sha256.patch
  * d/p/lp2095203: Don't crash on udevadm trigger errors in 'netplan apply'
    (LP: #2095203)

 -- Lukas Märdian <slyon@debian.org>  Wed, 05 Feb 2025 16:51:55 +0100

netplan.io (1.1.2-1) unstable; urgency=medium

  * New upstream release: 1.1.2
    - wifi: add support for wpa-psk-sha256 !531 (LP: #2085320, LP: #2084237)
    - networkmanager: add support for "routing-policy" !526 (LP: #2086544)
    - parse: fix renderer validation for nm-devices !532 (LP: #2091755)
  * d/*.manpages: Use dh_installman and add netplan(8) manpage
  * d/netplan-generator.doc-base: Register YAML reference with doc-base
  * d/copyright: Update for 2025

  [ Alexandre Detiste ]
  * d/control: remove alternative dependency on deprecated pep8
  * d/{rules,control}: use dh-sequence-python3

 -- Lukas Märdian <slyon@debian.org>  Thu, 23 Jan 2025 16:23:09 +0100

netplan.io (1.1.1-1) unstable; urgency=medium

  * New upstream release: 1.1.1
    - NM: add support for stable-ssid MAC option !524 (LP: #2084234)
    - wpa_supplicant: add ExecReload to the service unit !523
    - Create snippet files for single-sourcing repetitive instructions !505
    - doc: Add initial 'Cryptography' section !517
    - Several code cleanup & fixes for TiCS !507
    - tests: ethernets: Add ipv6-address-generation integration tests !509
    - cli: drop python-netifaces !503 (LP: #2065870, LP: #2017585)
    - parse-nm: account for veth and dummy when checking for virtual types !513
    - Avoid dependency on dbus-python !511
    - tests: Improve vrf/wireguard modprobe check inside containers !510
    - tests:ethernets: avoid flaky test_ip6_eui64 results !514
    - ovs: quote external-ids and other-config values !512 (LP: #2070318)
    - Handle implicit conversions !496
    - Use more permissive umask for .service units !516 (LP: #2072486)
    - Revert "apply: make sure that networkd is restarted when needed" !518
      (LP: #2078009)
    - Handling encoding issues on netplan status !521 (LP: #2079975)
    - include: fix apidoc warnings about undocumented parameters
  * d/patches: Drop patches, applied upstream
  * d/control: Drop python3-{dbus,netifaces} dependencies, not needed anymore
  * d/{rules,control}: Utilize dh-python

 -- Lukas Märdian <slyon@debian.org>  Wed, 16 Oct 2024 09:46:10 +0200

netplan.io (1.1-2) unstable; urgency=medium

  * d/changelog: fix typo
  * d/control: change Maintainer to Networking team
  * d/control: Add ethtool dependency in anticipation of upstream change
  * d/rules: Improve 'filter nocheck' test, to avoid double 'nocheck' confusion
  * d/t/control: Add breaks-testbed for more robust CI (Closes: #1083109)
  * d/patches/0002: Disable NETPLAN_PARSER_IGNORE_ERRORS in tests
    to increase CI efficiency.
  * d/control: Mark udev as a runtime dependency

 -- Lukas Märdian <slyon@debian.org>  Wed, 09 Oct 2024 10:39:58 +0200

=== debian/control ===
Source: netplan.io
Maintainer: Debian Networking Team <team+networking@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Lukas Märdian <slyon@debian.org>,
Section: net
Priority: optional
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pkgconf,
 bash-completion,
 libyaml-dev,
 libglib2.0-dev,
 uuid-dev,
 python3,
 python3-cffi,
 python3-coverage <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-rich <!nocheck>,
 python3-yaml <!nocheck>,
 libcmocka-dev <!nocheck>,
 libpython3-dev,
 libsystemd-dev,
 udev <!nocheck>,
 systemd <!nocheck>,
 systemd-dev,
 dbus-daemon <!nocheck>,
 pyflakes3 <!nocheck>,
 pycodestyle <!nocheck>,
 pandoc,
 openvswitch-switch [ !armel !armhf !i386 !hppa !m68k !powerpc !sh4 !x32 ] <!nocheck>,
 meson (>= 1.3.0),
 iproute2 <!nocheck>,
Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
Vcs-Browser: https://salsa.debian.org/debian/netplan.io
Homepage: https://netplan.io/

Package: netplan.io
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ethtool,
 iproute2,
 libnetplan1 (= ${binary:Version}),
 netplan-generator,
 python3-netplan,
 python3-yaml,
 systemd (>= 248~),
 udev,
Recommends:
 python3-rich,
Suggests:
 systemd-resolved,
Description: Declarative network configuration for various backends at runtime
 Netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package provides a runtime CLI to control the Netplan backends,
 e.g. to re-generate configuration or apply changes.

Package: netplan-generator
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libnetplan1 (= ${binary:Version}),
 systemd (>= 248~),
Suggests:
 network-manager | wpasupplicant,
 openvswitch-switch,
 iw,
Breaks: netplan.io (<< 0.106.1-8~),
Replaces: netplan.io (<< 0.106.1-8~),
Description: Declarative network configuration for various backends at boot
 Netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package provides a systemd-generator to configure various networking
 daemons at boot time.

Package: python3-netplan
Section: python
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libnetplan1 (= ${binary:Version}),
 python3-cffi-backend,
Breaks: netplan.io (<< 0.107-3~)
Replaces: netplan.io (<< 0.107-3~)
Description: Declarative network configuration Python bindings
 Netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package provides a CFFI based Python bindings to libnetplan.

Package: libnetplan1
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Declarative network configuration runtime library
 Netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package contains the necessary runtime library files.

Package: libnetplan-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
 libnetplan1 (= ${binary:Version}),
Description: Development files for Netplan's libnetplan runtime library
 Netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package contains development files for developers wanting to use
 libnetplan in their applications.

=== debian/tests/control ===
Test-Command: (systemctl is-active openvswitch-switch.service || exit 77) && ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=ovs
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  openvswitch-switch,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container, skip-not-installable, skippable
Features: test-name=ovs

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=ethernets
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  ethtool,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
Features: test-name=ethernets

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=bridges
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
Features: test-name=bridges

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=bonds
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
Features: test-name=bonds

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=routing
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  python3-packaging,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
Features: test-name=routing

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=vlans
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
Features: test-name=vlans

Test-Command: (modprobe cfg80211 || exit 77) && (modprobe mac80211_hwsim || exit 77) && rmmod mac80211_hwsim && ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=wifi
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  dhcpcd-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  iw,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container, skippable
Features: test-name=wifi

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=tunnels
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,

## netplan.io 1.2

=== debian/changelog ===
netplan.io (1.2-0ubuntu1) resolute; urgency=medium

  * New upstream release: 1.2
    - Split in `/usr/libexec/netplan/generate` and `netplan-configure.service`
      stages, to achieve systemd-generator compatibility.
    - Allows non standard OVS setups, e.g. for consuming Open vSwitch from snap.
    - Utilize systemd-networkd-wait-online for waiting on DNS servers,
      as implemented in systemd v258.
    - meson: Build using Python 3.10 limited API (LP: #2050881)
    - Fail cleanly when systemd-networkd is not installed
    - Ensure netplan directory creation is idempotent
    - Use OVS from apt before snap when both exist. (LP: #2127195)
    - tests: add integration test for wifi/psk-sha256
    - tests:wifi: Replace deprecated ISC dhclient & fail properly
    - test:dbus: avoid dependency on dbus-launch (Closes: #1117099)
    Bug fixes:
    - Fix `netplan try` revert (LP: #2083029)
    - cli:apply: Ignore udevadm errors triggering devices (LP: #2095203)
    - Fix function prototypes for *_new() functions of parser and state
    - Only create a tempdir when needed
  * d/control: Update for systemd >= 258 for DNS support in wait-online
  * d/netplan-generator*: recognize configure binary + service
  * d/t/control: install systemd-resolved for cloud-init & autostart tests
  * d/libnetplan1.symbols: Update symbols file for v1.2
  * d/patches/: Drop patches, applied upstream
  * d/p/0001-tests-ethernets-enable-wait-online-intergration-test.patch:
    Enable integration tests for systemd-networkd-wait-online.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 16 Dec 2025 21:47:07 +0100

netplan.io (1.1.2-8ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/wait-online-dns: Enable waiting for DNS servers.
      This builds upon systemd#34640, as backported in systemd 257.2-3ubuntu1
    - d/control: update dependency on systemd 257.2-3ubuntu1
    - Support non-standard OVS setups, e.g. inside snap environments.
      + d/p/0012-Allows-non-standard-OVS-setups.patch
  * Prefer OVS from the system installation, snap as fallback (LP: #2127195)
    - d/p/0013-Use-OVS-from-apt-before-snap-when-both-exist.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 20 Nov 2025 09:34:44 +0100

netplan.io (1.1.2-7ubuntu3) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 14:17:29 +0000

netplan.io (1.1.2-7ubuntu2) questing; urgency=medium

  * Support non-standard OVS setups, e.g. inside snap environments.
    - d/p/0012-Allows-non-standard-OVS-setups.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 31 Jul 2025 12:08:33 +0200

netplan.io (1.1.2-7ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110448). Remaining changes:
    - d/p/wait-online-dns: Enable waiting for DNS servers.
      This builds upon systemd#34640, as backported in systemd 257.2-3ubuntu1
    - d/control: update dependency on systemd 257.2-3ubuntu1

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 19 May 2025 10:35:14 +0200

netplan.io (1.1.2-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/wait-online-dns: Enable waiting for DNS servers.
      This builds upon systemd#34640, as backported in systemd 257.2-3ubuntu
    - d/control: update dependency on systemd 257.2-3ubuntu1
  * Drop Changes:
    - d/gbp.conf: update for Plucky
      [Not needed for git-ubuntu]

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 05 Feb 2025 17:54:40 +0100

netplan.io (1.1.2-1ubuntu1) plucky; urgency=medium

  * d/p/wait-online-dns: Enable waiting for DNS servers.
    This builds upon systemd#34640, as backported in systemd 257.2-3ubuntu1
  * d/control: update dependency on systemd 257.2-3ubuntu1
  * d/gbp.conf: update for Plucky

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 04 Feb 2025 12:23:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: netplan.io
-Maintainer: Debian Networking Team <team+networking@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Networking Team <team+networking@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Lukas Märdian <slyon@debian.org>,
@@ -52,7 +53,7 @@
  netplan-generator,
  python3-netplan,
  python3-yaml,
- systemd (>= 248~),
+ systemd (>= 258~),
  udev,
 Recommends:
  python3-rich,
@@ -77,7 +78,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libnetplan1 (= ${binary:Version}),
- systemd (>= 248~),
+ systemd (>= 258~),
 Suggests:
  network-manager | wpasupplicant,
  openvswitch-switch,
